installation of printer driver

Asked by bhagirathi on 2012-10-14

i bought samsung ML 2161 but it worked properly with windows driver of ML2160. How is it possible i do not know. Now i am working on ubuntu 10.10. How can i uninstal driver from windows and instal in ubuntu. i downloaded unified Linux driver but installation failed because i have no "root" privilege. I right click on linux driver then extract then cd root then autorun. when i click autorun message was #bin sh exec sh $BASE/Linux/install.sh I typed "ba" before sh i.e. #bin bash exec bash $BASE/Linux/instal.sh but did not work. on command it says "error while printing" when printer connect to PC it shows ML 2160 while my model is ML 2161. WHAT TO DO

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu cups Edit question
Assignee:
No assignee Edit question
Last query:
2012-10-15
Last reply:
2012-10-15
Warren Hill (warren-hill) said : #1

Hi,

1. Windows drivers will not work with Linux so you need a Linux driver.

2. Ubuntu does not use a root account but you do have root privileges when you need them. I could not find a suitable driver online but if you can give us a link to the driver you downloaded one of us may be able to explain how to install it.

3. Can you also let us know which version of Ubuntu you are using

bhagirathi (bsahoo53) said : #3

i am using ubuntu 10.10 version. i downloaded unified linux driver from
www.samsung.com click your product then filled in data then clicked driver
then linux print driver given in option menu

On Mon, Oct 15, 2012 at 3:25 AM, marcobra (Marco Braida) <
<email address hidden>> wrote:

> Your question #211218 on cups in Ubuntu changed:
> https://answers.launchpad.net/ubuntu/+source/cups/+question/211218
>
> Project: Ubuntu => cups in Ubuntu
>
> --
> You received this question notification because you asked the question.
>

Maverick is EOL. I suggest you reinstall with a clean install of Precise.

bhagirathi (bsahoo53) said : #5

when connected to computer,printer shows ML2160 whereas the actual model is
ML2161 i think it is because windows driver of ML2160 was installed to
print test page while purchasing the printer.now i want to use the printer
in linux ubuntu 10.10. i downloaded unified linux driver from
www.samsung.com but did not instal due to root problem. what to do

On Mon, Oct 15, 2012 at 4:20 AM, actionparsnip <
<email address hidden>> wrote:

> Your question #211218 on cups in Ubuntu changed:
> https://answers.launchpad.net/ubuntu/+source/cups/+question/211218
>
> Status: Open => Needs information
>
> actionparsnip requested more information:
> Maverick is EOL. I suggest you reinstall with a clean install of
> Precise.
>
> --
> To answer this request for more information, you can either reply to
> this email or enter your reply at the following page:
> https://answers.launchpad.net/ubuntu/+source/cups/+question/211218
>
> You received this question notification because you asked the question.
>

bhagirathi (bsahoo53) said : #6

no reply received from ubuntu community thank you

On Mon, Oct 15, 2012 at 4:41 AM, bhagirathi <
<email address hidden>> wrote:

> Your question #211218 on cups in Ubuntu changed:
> https://answers.launchpad.net/ubuntu/+source/cups/+question/211218
>
> Status: Needs information => Open
>
> You gave more information on the question:
> when connected to computer,printer shows ML2160 whereas the actual model is
> ML2161 i think it is because windows driver of ML2160 was installed to
> print test page while purchasing the printer.now i want to use the printer
> in linux ubuntu 10.10. i downloaded unified linux driver from
> www.samsung.com but did not instal due to root problem. what to do
>
> On Mon, Oct 15, 2012 at 4:20 AM, actionparsnip <
> <email address hidden>> wrote:
>
> > Your question #211218 on cups in Ubuntu changed:
> > https://answers.launchpad.net/ubuntu/+source/cups/+question/211218
> >
> > Status: Open => Needs information
> >
> > actionparsnip requested more information:
> > Maverick is EOL. I suggest you reinstall with a clean install of
> > Precise.
> >
> > --
> > To answer this request for more information, you can either reply to
> > this email or enter your reply at the following page:
> > https://answers.launchpad.net/ubuntu/+source/cups/+question/211218
> >
> > You received this question notification because you asked the question.
> >
>
> --
> You received this question notification because you asked the question.
>

Warren Hill (warren-hill) said : #7

This is a user Community. There are a least two of us trying to help you. I don't know where you are but I am based in the UK and I think Andrew is too. I suspect he like me has been sleeping as I have only just got up. Patience is a virue.

Did you get the driver from here?

http://www.samsung.com/uk/support/model/ML-2160/XEU-downloads?downloadName=#

If so download the driver and extract it under you home directory.

Check you have cups installed. It should be

In a terminal (CTRL+ALT+T)

apt-cache policy cups

you should see something like

warren@dell:~$ apt-cache policy cups
cups:
  Installed: 1.5.3-0ubuntu4
  Candidate: 1.5.3-0ubuntu4
  Version table:
 *** 1.5.3-0ubuntu4 0
        500 http://gb.archive.ubuntu.com/ubuntu/ precise-updates/main i386 Packages
        100 /var/lib/dpkg/status
     1.5.2-9ubuntu1 0
        500 http://gb.archive.ubuntu.com/ubuntu/ precise/main i386 Packages
warren@dell:~$

If it says "Installed " with a version number it is if not install it with the software centre.

Now navigate down to cdroot/Linux in the directory there is a file called "install.sh"

type "ls" without the quotes this lists the files in the directory. If this file is listed you are in the correct place

Now you need to run this file with root privileges. Enter the following

sudo ./install.sh

Enter your password when requested; there is no feedback when you type it in. Follow the on screen prompts.

Job Done

Can you help with this problem?

Provide an answer of your own, or ask bhagirathi for more information if necessary.

To post a message you must log in.